MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029396Open CASCADE[OCCT] OCCT:Configurationpublic2017-12-20 18:042018-06-29 21:19
Reporterrnv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] Unscheduled 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029396: Configuration, Cmake: restore 3rd-party libraries into INTERFACE_LINK_LIBRARIES property of installed OCCT targets
DescriptionIn the frames of 0029277 issue all third-party libraries were removed from INTERFACE_LINK_LIBRARIES property of some OCCT libraries. The reason for this removing was the fact that after copying/moving OCCT build from one workstation to another or simple moving of the third-party libraries the absolute paths, which are presented in the OCCT CMake configuration files, became invalid.

But as a result the changes, described above, lead to a problem with the linking on Linux, for the details see 0028977 issue. So to avoid this problem it is suggested to rollback the changes made in the frames of 0029277 issue.

Regarding the problem described in 0029277 issue: it is true that current OCCT CMake configuration is doesn't allow move OCCT build or third-party libraries in a simple way. It is required to update manually several OCCT CMake configuration files in order to correct absolute path to OCCT third-party libraries (tbb, ffmpeg, ...). Maybe it make sense to improve OCCT CMake configuration in order to simplify the procedure of the moving OCCT builds, but this is beyond the scope of this concrete issue.
Steps To ReproduceConfigure, Generate and Build solution as usual
Check that installed CMake config files contains paths to 3rd-party libraries in INTERFACE_LINK_LIBRARIES property of some OCCT libraries.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0029277closedbugmaster Configuration, Cmake - remove 3rd-party libraries from INTERFACE_LINK_LIBRARIES property of installed OCCT targets 
related to 0028977closedbugmaster FFmpeg libraries are not presented in the CMake configuration 

-  Notes
(0073079)
git (administrator)
2017-12-22 09:45

Branch CR29396 has been created by ski.

SHA-1: bea5d1599d52839dc369690710d175c37e098704


Detailed log of new commits:

Author: ski
Date: Thu Dec 21 15:37:53 2017 +0300

    0029396: Configuration, Cmake: restore 3rd-party libraries into INTERFACE_LINK_LIBRARIES property of installed OCCT targets
    
    Changes from branch CR29277 were reverted.
(0073083)
git (administrator)
2017-12-22 11:00

Branch CR29396 has been updated forcibly by ski.

SHA-1: a3ecaa2850b703fcbd6f6f76ef7ef910bc79091f
(0073084)
ski (developer)
2017-12-22 11:03

Dear apn,

please review.
(0073088)
git (administrator)
2017-12-22 11:54

Branch CR29396 has been updated forcibly by ski.

SHA-1: 652fbb36f7fb0d4ac6d5273f9c16d193a8a93f78
(0073089)
apn (administrator)
2017-12-22 12:05

Reviewed and tested. Installed CMake config files contains paths to 3rd-party libraries in INTERFACE_LINK_LIBRARIES property (e.g. OpenCASCADEFoundationClassesTargets.cmake contains "C:/occt-3rdparty/Windows-64-VC10/tbb_2017.0.100/lib/intel64/vc10/tbb.lib", etc).
(0073332)
git (administrator)
2018-01-11 11:10

Branch CR29396 has been deleted by kgv.

SHA-1: 652fbb36f7fb0d4ac6d5273f9c16d193a8a93f78

- Related Changesets
occt: master 8197951d
Timestamp: 2017-12-21 12:37:53
Author: ski
Committer: bugmaster
Details ] Diff ]
0029396: Configuration, Cmake: restore 3rd-party libraries into INTERFACE_LINK_LIBRARIES property of installed OCCT targets

Changes from branch CR29277 were reverted.
mod - adm/cmake/occt_toolkit.cmake Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-12-20 18:04 rnv New Issue
2017-12-20 18:04 rnv Assigned To => bugmaster
2017-12-20 18:05 rnv Relationship added related to 0029277
2017-12-20 18:05 rnv Relationship added related to 0028977
2017-12-20 18:17 bugmaster Assigned To bugmaster => ski
2017-12-20 18:17 bugmaster Status new => assigned
2017-12-22 09:45 git Note Added: 0073079
2017-12-22 11:00 git Note Added: 0073083
2017-12-22 11:03 ski Note Added: 0073084
2017-12-22 11:03 ski Assigned To ski => apn
2017-12-22 11:03 ski Status assigned => resolved
2017-12-22 11:03 ski Steps to Reproduce Updated View Revisions
2017-12-22 11:54 git Note Added: 0073088
2017-12-22 12:05 apn Test case number => Not needed
2017-12-22 12:05 apn Note Added: 0073089
2017-12-22 12:05 apn Assigned To apn => bugmaster
2017-12-22 12:05 apn Status resolved => reviewed
2017-12-22 12:28 bugmaster Status reviewed => tested
2017-12-23 12:07 bugmaster Changeset attached => occt master 8197951d
2017-12-23 12:07 bugmaster Status tested => verified
2017-12-23 12:07 bugmaster Resolution open => fixed
2018-01-11 11:10 git Note Added: 0073332
2018-02-20 12:58 aiv Target Version 7.4.0* => 7.3.0
2018-06-29 21:15 aiv Fixed in Version => 7.3.0
2018-06-29 21:19 aiv Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker